# Comment

Represents a database object comment.

Methods
void | checkRename()
void | checkRename()
String | getCreateSQL()
String | getCreateSQL()
String | getCreateSQLForCopy(Table table, String quotedName)
String | getCreateSQLForCopy(Table table, String quotedName)
String | getDropSQL()
String | getDropSQL()
int | getType()
int | getType()
void | removeChildrenAndResources(Session session)
void | removeChildrenAndResources(Session session)
void | setCommentText(String comment) Set the comment text.
void | setCommentText(String comment) Set the comment text. Parameters: comment - the text